#!/bin/bash

PATH=/bin:/usr/bin
export PATH

. sheetfuncs.sh

test -x "$TILE2BIN" || { echo "$TILE2BIN: not executable" >&2; exit 1; }

sheet="fonts.png"

suffix="$1"
shift

if test "$suffix" = "ntsc"; then
	map="-m 1,3,0,2"
fi

label "logo_$suffix"
"$TILE2BIN" -x 0 -y 48 -w 120 -h 17 $map "$sheet" | "$BIN2S"
