; Dunjunz - Games Master Edition
; Copyright (c) 2017-2020 Ciaran Anscomb
;
; See COPYING file for redistribution conditions.

; ========================================================================

		include "objects.s"
		include "defs.s"

; ========================================================================

		export levels

		org $c000

levels
level1		includebin "level01.bin"
level2		includebin "level02.bin"
level3		includebin "level03.bin"
level4		includebin "level04.bin"
level5		includebin "level05.bin"
level6		includebin "level06.bin"
level7		includebin "level07.bin"
level8		includebin "level08.bin"
level9		includebin "level09.bin"
level10		includebin "level10.bin"
level11		includebin "level11.bin"
level12		includebin "level12.bin"
level13		includebin "level13.bin"
level14		includebin "level14.bin"
level15		includebin "level15.bin"
level16		includebin "level16.bin"
level17		includebin "level17.bin"
level18		includebin "level18.bin"
level19		includebin "level19.bin"
level20		includebin "level20.bin"
level21		includebin "level21.bin"
level22		includebin "level22.bin"
level23		includebin "level23.bin"
level24		includebin "level24.bin"
	if DEBUG_LEVEL25
level25		includebin "level25d.bin"
	else
level25		includebin "level25.bin"
	endif

; free space within level25:
;
;   32 bytes from +0x10
;   32 bytes from +0x40
;   32 bytes from +0x70
;   40 bytes from +0x98
;
; except i've nothing left small enough to put there!

; - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

		export tbl_p_dfl

tbl_p_dfl
		; player 1 defaults
		fcb p1_tilebase		; spr_tilebase
		fcb facing_up		; spr_facing
		fcb 7*8+3-128,3		; spr_next_y,spr_next_x
		fdb p1_swin		; plr_swin
		fdb p1_win+128		; plr_win
		fcb 3			; plr_armour
		fcb 2,3			; plr_power,plr_ammo
		; player 2 defaults
		fcb p2_tilebase		; spr_tilebase
		fcb facing_right	; spr_facing
		fcb 7*8+4-128,3		; spr_next_y,spr_next_x
		fdb p2_swin		; plr_swin
		fdb p2_win+128		; plr_win
		fcb 1			; plr_armour
		fcb 3,2			; plr_power,plr_ammo
		; player 3 defaults
		fcb p3_tilebase		; spr_tilebase
		fcb facing_down		; spr_facing
		fcb 7*8+3-128,4		; spr_next_y,spr_next_x
		fdb p3_swin		; plr_swin
		fdb p3_win+128		; plr_win
		fcb 4			; plr_armour
		fcb 9,1			; plr_power,plr_ammo
		; player 4 defaults
		fcb p4_tilebase		; spr_tilebase
		fcb facing_left		; spr_facing
		fcb 7*8+4-128,4		; spr_next_y,spr_next_x
		fdb p4_swin		; plr_swin
		fdb p4_win+128		; plr_win
		fcb 6			; plr_armour
		fcb 5,2			; plr_power,plr_ammo

; - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

bank1_end

		align $4000,$ff
